MWAWSpreadsheetListenerInternal::DocumentState Struct Reference

a class to store the document state of a MWAWSpreadsheetListener More...

## Public Member Functions

| DocumentState (std::vector< MWAWPageSpan > const &pageList)
| constructor
| ~DocumentState ()
| destructor

## Public Attributes

std::vector< MWAWPageSpan > | m_pageList
| the pages definition
MWAWPageSpan | m_pageSpan
| the current page span
librevenge::RVNGPropertyList | m_metaData
| the document meta data
int | m_footNoteNumber
| footnote number
int | m_smallPictureNumber
| number of small picture
bool | m_isDocumentStarted
| a flag to know if the document is open
bool | m_isSheetOpened
| a flag to know if a sheet is open
bool | m_isSheetRowOpened
| a flag to know if a row is open
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list
std::map< MWAWCell::Format, int, MWAWCell::CompareFormat > | m_numberingIdMap
| a map cell's format to id
std::vector< MWAWSubDocumentPtr > | m_subDocuments
MWAWSection | m_section
| list of document actually open

## Private Member Functions

| DocumentState (const DocumentState &)=delete
DocumentState & | operator= (const DocumentState &)=delete

## Detailed Description

a class to store the document state of a MWAWSpreadsheetListener

## Constructor & Destructor Documentation

## DocumentState() [1/2]

MWAWSpreadsheetListenerInternal::DocumentState::DocumentState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |

inline explicit

constructor

Referenced by DocumentState(), and operator=().

## ~DocumentState()

MWAWSpreadsheetListenerInternal::DocumentState::~DocumentState | ( |  | ) |

inline

destructor

## DocumentState() [2/2]

MWAWSpreadsheetListenerInternal::DocumentState::DocumentState | ( | const DocumentState & |  | ) |

private delete

## Member Function Documentation

## operator=()

DocumentState & MWAWSpreadsheetListenerInternal::DocumentState::operator= | ( | const DocumentState & |  | ) |

private delete

## Member Data Documentation

## m_footNoteNumber

int MWAWSpreadsheetListenerInternal::DocumentState::m_footNoteNumber

footnote number

Referenced by DocumentState().

## m_isDocumentStarted

bool MWAWSpreadsheetListenerInternal::DocumentState::m_isDocumentStarted

a flag to know if the document is open

Referenced by DocumentState().

## m_isSheetOpened

bool MWAWSpreadsheetListenerInternal::DocumentState::m_isSheetOpened

a flag to know if a sheet is open

Referenced by DocumentState().

## m_isSheetRowOpened

bool MWAWSpreadsheetListenerInternal::DocumentState::m_isSheetRowOpened

a flag to know if a row is open

Referenced by DocumentState().

## m_metaData

librevenge::RVNGPropertyList MWAWSpreadsheetListenerInternal::DocumentState::m_metaData

the document meta data

Referenced by DocumentState().

## m_numberingIdMap

std::map<MWAWCell::Format,int,MWAWCell::CompareFormat> MWAWSpreadsheetListenerInternal::DocumentState::m_numberingIdMap

a map cell's format to id

Referenced by DocumentState().

## m_pageList

std::vector<MWAWPageSpan> MWAWSpreadsheetListenerInternal::DocumentState::m_pageList

the pages definition

Referenced by DocumentState().

## m_pageSpan

MWAWPageSpan MWAWSpreadsheetListenerInternal::DocumentState::m_pageSpan

the current page span

Referenced by DocumentState().

## m_section

MWAWSection MWAWSpreadsheetListenerInternal::DocumentState::m_section

list of document actually open

empty section used by getSection() to return a section

Referenced by DocumentState().

## m_sentListMarkers

std::vector<int> MWAWSpreadsheetListenerInternal::DocumentState::m_sentListMarkers

the list of marker corresponding to sent list

Referenced by DocumentState().

## m_smallPictureNumber

int MWAWSpreadsheetListenerInternal::DocumentState::m_smallPictureNumber

number of small picture

Referenced by DocumentState().

## m_subDocuments

std::vector<MWAWSubDocumentPtr> MWAWSpreadsheetListenerInternal::DocumentState::m_subDocuments

Referenced by DocumentState().

The documentation for this struct was generated from the following file:

- MWAWSpreadsheetListener.cxx